com.tibbo.aggregate.common.action.command

## Class LaunchProcessControlProgram

- java.lang.Object
- - com.tibbo.aggregate.common.action.GenericActionCommand
  - - com.tibbo.aggregate.common.action.command.LaunchWidget
    - - com.tibbo.aggregate.common.action.command.LaunchProcessControlProgram

- All Implemented Interfaces:
    ActionCommand, java.lang.Cloneable

      public class LaunchProcessControlProgram
      extends LaunchWidget

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static TableFormat` | `FIFT_BREAKPOINT`
    `static TableFormat` | `FIFT_DEBUG_PROGRAM`

    - ### Fields inherited from class com.tibbo.aggregate.common.action.command.LaunchWidget

      `CF_DASHBOARD, CF_DASHBOARDS_HIERARCHY_INFO, CF_DEFAULT_CONTEXT, CF_INPUT, CF_KEY, CF_LOCATION, CF_TEMPLATE, CF_WIDGET_CONTEXT, CF_WIDGET_SETTINGS, CFT_LAUNCH_WIDGET`

    - ### Fields inherited from class com.tibbo.aggregate.common.action.GenericActionCommand

      `CF_COMPONENT_LOCATION`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LaunchProcessControlProgram()`
    `LaunchProcessControlProgram(java.lang.String title, DataTable parameters)`
    `LaunchProcessControlProgram(java.lang.String keyString, java.lang.String title, DataTable parameters)`
    `LaunchProcessControlProgram(java.lang.String title, java.lang.String widgetContext, java.lang.String defaultContext)`
    `LaunchProcessControlProgram(java.lang.String title, java.lang.String widgetContext, java.lang.String defaultContext, java.lang.String template)`

  - ### Method Summary

    - ### Methods inherited from class com.tibbo.aggregate.common.action.command.LaunchWidget

      `constructParameters, getDashboard, getDashboardsHierarchyInfo, getDefaultContext, getInput, getKey, getLocation, getTemplate, getWidgetContext, getWidgetSettings, setDashboard, setDashboardsHierarchyInfo, setDefaultContext, setInput, setKey, setLocation, setTemplate, setWidgetContext, setWidgetSettings`

    - ### Methods inherited from class com.tibbo.aggregate.common.action.GenericActionCommand

      `clone, createDefaultResponse, equals, getComponentLocation, getParameters, getRequestId, getResponseFormat, getTitle, getType, hashCode, isBatchEntry, isInteractive, isLast, isResponseValid, setBatchEntry, setComponentLocation, setComponentLocation, setInteractive, setLast, setParameters, setRequestId, setTitle, setType, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### FIFT_DEBUG_PROGRAM

          public static final TableFormat FIFT_DEBUG_PROGRAM

    - #### FIFT_BREAKPOINT

          public static final TableFormat FIFT_BREAKPOINT

  - ### Constructor Detail

    - #### LaunchProcessControlProgram

          public LaunchProcessControlProgram()

    - #### LaunchProcessControlProgram

          public LaunchProcessControlProgram(java.lang.String title,
                                             java.lang.String widgetContext,
                                             java.lang.String defaultContext)

    - #### LaunchProcessControlProgram

          public LaunchProcessControlProgram(java.lang.String title,
                                             java.lang.String widgetContext,
                                             java.lang.String defaultContext,
                                             java.lang.String template)

    - #### LaunchProcessControlProgram

          public LaunchProcessControlProgram(java.lang.String keyString,
                                             java.lang.String title,
                                             DataTable parameters)

    - #### LaunchProcessControlProgram

          public LaunchProcessControlProgram(java.lang.String title,
                                             DataTable parameters)